Bug 206066 - rpm doesn't handle '~' in URLs
rpm doesn't handle '~' in URLs
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Panu Matilainen
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 15:30 EDT by Horst H. von Brand
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-01 07:54:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Horst H. von Brand 2006-09-11 15:30:00 EDT
Description of problem:

I tried to update metacity via HTTP from 


and got "error: File not found by glob: http://...". Some futzing around shows
the '~' to be to blame. wget(1) gets the file fine, and then install it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Try to install via HTTP, i.e.,
   "rpm -Uhv http://www.xyz.tld/~somebody/her-1.2-3.i386.rpm"
Actual results:
error: File not found by glob: http://...

Expected results:
Installed package ;-)

Additional info:
Comment 1 Jeff Johnson 2006-09-11 19:02:05 EDT
Use wget is the most expedient work around, as URL handling is
unlikely to be fixed soon.

Comment 2 Jeff Johnson 2006-09-11 19:50:28 EDT
Actually the problem has nothing to do with the '~' character, but rather the
fact that rpm does not handle a 405 return from a PROPFIND command:

Sending request headers:
PROPFIND http://people.freedesktop.org/~sandmann/metacity-2.16.0-2.fc6/i386/
metacity-2.16.0-2.fc6.i386.rpm HTTP/1.1


Request sent; retry is 1.
[status-line] < HTTP/1.1 405 Method Not Allowed

(the above is displayed by adding --davdebug to a query in recent rpm)

Comment 3 Jeff Johnson 2007-01-03 21:56:45 EST
Actually it turns out that both a URL with a twiddle as well as a server that returns 405 for PROPFIND are 
necessary to reproduce this bug. Glob runs Stat() for paths with a twiddle, which is where the 405 is/was 

Fixed in rpm cvs, will be in rpm-4.4.8-0.9 when built.

Comment 4 Red Hat Bugzilla 2007-08-21 01:25:48 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Panu Matilainen 2007-08-22 02:30:26 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 6 Panu Matilainen 2007-10-01 07:54:45 EDT
Fixed in rpm.org head by using an external helper for remote urls and never
globbing any non-local paths. It'll find it's way to Fedora eventually (F9 most
likely) but not current versions.

Note You need to log in before you can comment on or make changes to this bug.